function App(){
}
App.init=function(){
	window.windowid = null;
	//ocxcheck();
	//MapMain.initMap();
    var toolbarlist = [],menuList=[],selectedlist=[];
    $.ajax({
    	type:'post',
		dataType : 'json',
		url:'szMapHttpAction!readMenuResource.do',
		success:function(data){
			if(!data || !data.length){
				document.write('<b>地图资源读取错误，请检查!</b>');
	    		return;
	    	}
	        data = $.parseJSON(data); 
	        toolbarlist = data[0].toolbar;
	        menuList = data[0].menulist;
	        selectedlist = data[0].selectedlist;
	        //加载tab窗
	        App.initOperateComp(menuList,toolbarlist,selectedlist);
		 }
    });
};
App.initOperateComp = function(menuList,toolbarList,selectedlist){
    MapToolBar.initMainToolBar(toolbarList);
    MapToolBar.initMainToolBarCheckEvent();
    MapTabPanel.initMainMenu(menuList,selectedlist);

}
